!set title=Operaciones matriciales
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=c,c,c,c,c
varcnt=15
prevarcnt=14
postvarcnt=0
replycnt=0
choicecnt=5
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=Sí
val7=No
val8=$val6,$val7
tmp0=!randitem 3,4

val9=$[rint($(tmp0))]
tmp0=!randitem 3,4

val10=$[rint($(tmp0))]
tmp0=!randitem 3,4

val11=$[rint($(tmp0))]
tmp0=!randitem 3,4

val12=$[rint($(tmp0))]
t_=!replace internal \( by ( in print(matrix($val10,$val9,x,y,random\(19)-10))
tmp0=!exec pari $t_

val13=$(tmp0)
t_=!replace internal \( by ( in print(matrix($val12,$val11,x,y,random\(19)-10))
tmp0=!exec pari $t_

val14=$(tmp0)

!ifval $val9=$val12
val15=$val6
!else
val15=$val7
!endif

!ifval $val11=$val10
val16=$val6
!else
val16=$val7
!endif

!ifval $val9=$val11 and $val10=$val12
val17=$val6
!else
val17=$val7
!endif

!ifval $val9=$val10
val18=$val6
!else
val18=$val7
!endif

!ifval $val11=$val12
val19=$val6
!else
val19=$val7
!endif
choicename1=AB
choicegood1=$val15
choicebad1=$val8
choicename2=BA
choicegood2=$val16
choicebad2=$val8
choicename3=A+B
choicegood3=$val17
choicebad3=$val8
choicename4=A<sup>2</sup>
choicegood4=$val18
choicebad4=$val8
choicename5=B<sup>2</sup>
choicegood5=$val19
choicebad5=$val8
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Considerar dos matrices	<p><center>	 
!insmath A = [$val13] , B = [$val14]
$() .	</center><p>	<table border=0>	<tr><td> ¿tiene sentido? 
!insmath AB
$() <td> 
!read oef/embed.phtml choice 1 
$()	<tr><td> ¿tiene sentido? 
!insmath BA
$() <td> 
!read oef/embed.phtml choice 2 
$()	<tr><td> ¿tiene sentido? 
!insmath A+B
$() <td> 
!read oef/embed.phtml choice 3 
$()	<tr><td> ¿tiene sentido? 
!insmath A^2
$() <td> 
!read oef/embed.phtml choice 4 
$()	<tr><td> ¿tiene sentido? 
!insmath B^2
$() <td> 
!read oef/embed.phtml choice 5 
$()	</table>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=13,14
embedcnt=5
